Subject: Package hypre build failure for output "doc"

From: Luca Cirrottola <[email-masked]>
Date: Tue, 3 Dec 2024 19:13:53 +0100 (CET)

Hello, 

I am getting failures for the package "hypre", during the building of its "doc" output. I have last tested it on 32d1dfb5545bb01c9d8d7a2465f13f2f379dd96e, and the error I get is of the form: 

error: Problems running gs. Check your installation! 

(repeated many several times) 
It seems to be related to doxygen, and I can reproduce it if I keep the build directory (as in [ https://guix.gnu.org/manual/devel/en/html_node/Debugging-Build-Failures.html | https://guix.gnu.org/manual/devel/en/html_node/Debugging-Build-Failures.html ] ) and I manually try to build the ref-manual. 
That said, I have not been able to fix the problem, so I ask for help in case the original package authors have a hint. 

P.S. When the package does build on certain machines, I get errors if I pass the --check option: 

guix build: error: derivation `/gnu/store/1i8b07ll0m5j2p2m7z0wcxqgp407b5qc-hypre-2.20.0.drv' may not be deterministic: output `/gnu/store/g8ci2qjbz49aq2zwn8hbl3dl44d30rfg-hypre-2.20.0-doc' differs 

Thanks, 
Luca